package com.yida.data.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.user.EduParent;
import com.yida.data.common.core.entity.user.EduParentStudent;

import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EduParentStudentMapper extends BaseMapper<EduParentStudent> {

    List<EduParentStudent> listParentStudent(Long parentId);

    List<EduParent> listOnlyOneChild(Long studentId);

    EduParentStudent getRelationByParentAndStudent(@Param("parentId") Long parentId,
                                                   @Param("studentId") Long studentId);

    void delNotExistRaltion();


}
